This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 111217 - output encoding should be automatic
output encoding should be automatic
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: w3m (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-30 06:36 EST by Tim Waugh
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 0.4.1-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-15 02:40:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2003-11-30 06:36:13 EST
Description of problem:
The output encoding should honour the locale setting, rather than
relying on the user to supply a -O option.  If -O is given it is
reasonable for it to override the locale of course.

Version-Release number of selected component (if applicable):
w3m-0.4.1-8

How reproducible:
100%

Steps to Reproduce:
1. LANG=C w3m -T text/html -dump RELEASE-NOTES.html
2. Look at the copyright symbol
  
Actual results:
UTF-8 character.

Expected results:
ASCII characters.
Comment 1 Akira TAGOH 2003-12-15 02:40:35 EST
This problem should be fixed in 0.4.1-9. if -O is given, it's prior
than the current locale.

Note You need to log in before you can comment on or make changes to this bug.